Skip to main content
Settings/AD/LDAP/OAuth Operations
POSTAD/LDAP/OAuth OperationsSince 0.6SynchronousAuth Required

CreateLdapBinding

CreateLdapBinding

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • ldapUidStringRequired

      The LDAP UID.

    • accountUuidStringRequired

      The account UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryLdapAccountRefInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • ldapUidStringRequired

      The LDAP UID.

    • ldapServerUuidStringRequired

      The LDAP server UUID.

    • accountUuidStringRequired

      The account UUID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

POST/zstack/v1/ldap/bindings

/zstack/v1/ldap/bindings

Operation ID

CreateLdapBinding

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/ldap/bindings' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"ldapUid":"<ldapUid>","accountUuid":"<accountUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "a552eb007adf4070ade72a4b678ecc30", "ldapUid": "ou\u003dEmployee,uid\u003dtest", "ldapServerUuid": "cd37f226e18c4ef09bb613200e3e90ba", "accountUuid": "5ff96c17eb8f476a988991e9410b153f" } }

Change History

This API has no change history records yet.

View all change history